### MODULES ###
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *

### INPUT PARAMETERS ###
emodulus=210000000000.0
poisson=0.3
dens=73527.0
breadth=0.3534
height=5.0897
pmass=210970.0
hstiff=226780.0
sstiff=1000.0
maxfreq=10.0
increment=0.01
tottime=5.0
dampratio=0.05
dampa=0.3778
dampb=0.0053
fsurge=0.0
fheave=24490000.0

### PART ###
mdb.models['Model-1'].ConstrainedSketch(name='__profile__', sheetSize=100.0)
mdb.models['Model-1'].sketches['__profile__'].Line(point1=(-52.0, 0.0), point2=
    (52.0, 0.0))
mdb.models['Model-1'].sketches['__profile__'].geometry.findAt((0.0, 0.0))
mdb.models['Model-1'].sketches['__profile__'].HorizontalConstraint(
    addUndoState=False, entity=
    mdb.models['Model-1'].sketches['__profile__'].geometry.findAt((0.0, 0.0), 
    ))
mdb.models['Model-1'].Part(dimensionality=TWO_D_PLANAR, name='Beam', type=
    DEFORMABLE_BODY)
mdb.models['Model-1'].parts['Beam'].BaseWire(sketch=
    mdb.models['Model-1'].sketches['__profile__'])
del mdb.models['Model-1'].sketches['__profile__']
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-26.0, 0.0, 0.0), )), 
    parameter=0.5)
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-39.0, 0.0, 0.0), ), ((
    13.0, 0.0, 0.0), ), ), parameter=0.5)
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-45.5, 0.0, 0.0), ), ((
    -19.5, 0.0, 0.0), ), ((6.5, 0.0, 0.0), ), ((32.5, 0.0, 0.0), ), ), 
    parameter=0.5)
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-48.75, 0.0, 0.0), ), ((
    -35.75, 0.0, 0.0), ), ((-22.75, 0.0, 0.0), ), ((-9.75, 0.0, 0.0), ), ((
    3.25, 0.0, 0.0), ), ((16.25, 0.0, 0.0), ), ((29.25, 0.0, 0.0), ), ((42.25, 
    0.0, 0.0), ), ), parameter=0.5)
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-50.375, 0.0, 0.0), ), (
    (-43.875, 0.0, 0.0), ), ((-37.375, 0.0, 0.0), ), ((-30.875, 0.0, 0.0), ), (
    (-24.375, 0.0, 0.0), ), ((-17.875, 0.0, 0.0), ), ((-11.375, 0.0, 0.0), ), (
    (-4.875, 0.0, 0.0), ), ((1.625, 0.0, 0.0), ), ((8.125, 0.0, 0.0), ), ((
    14.625, 0.0, 0.0), ), ((21.125, 0.0, 0.0), ), ((27.625, 0.0, 0.0), ), ((
    34.125, 0.0, 0.0), ), ((40.625, 0.0, 0.0), ), ((47.125, 0.0, 0.0), ), ), 
    parameter=0.5)
mdb.models['Model-1'].parts['Beam'].PartitionEdgeByParam(edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-51.1875, 0.0, 0.0), ), 
    ((-47.9375, 0.0, 0.0), ), ((-44.6875, 0.0, 0.0), ), ((-41.4375, 0.0, 0.0), 
    ), ((-38.1875, 0.0, 0.0), ), ((-34.9375, 0.0, 0.0), ), ((-31.6875, 0.0, 
    0.0), ), ((-28.4375, 0.0, 0.0), ), ((-25.1875, 0.0, 0.0), ), ((-21.9375, 
    0.0, 0.0), ), ((-18.6875, 0.0, 0.0), ), ((-15.4375, 0.0, 0.0), ), ((
    -12.1875, 0.0, 0.0), ), ((-8.9375, 0.0, 0.0), ), ((-5.6875, 0.0, 0.0), ), (
    (-2.4375, 0.0, 0.0), ), ((0.8125, 0.0, 0.0), ), ((4.0625, 0.0, 0.0), ), ((
    7.3125, 0.0, 0.0), ), ((10.5625, 0.0, 0.0), ), ((13.8125, 0.0, 0.0), ), ((
    17.0625, 0.0, 0.0), ), ((20.3125, 0.0, 0.0), ), ((23.5625, 0.0, 0.0), ), ((
    26.8125, 0.0, 0.0), ), ((30.0625, 0.0, 0.0), ), ((33.3125, 0.0, 0.0), ), ((
    36.5625, 0.0, 0.0), ), ((39.8125, 0.0, 0.0), ), ((43.0625, 0.0, 0.0), ), ((
    46.3125, 0.0, 0.0), ), ((49.5625, 0.0, 0.0), ), ), parameter=0.5)

### MATERIAL, PROFILE & SECTION ###
mdb.models['Model-1'].Material(name='Steel')
mdb.models['Model-1'].materials['Steel'].Elastic(table=((emodulus, poisson), 
    ))
mdb.models['Model-1'].RectangularProfile(a=breadth, b=height, name=
    'Beam-Profile')
mdb.models['Model-1'].BeamSection(integration=DURING_ANALYSIS, material='Steel'
    , name='Beam-Section', poissonRatio=0.0, profile='Beam-Profile', 
    temperatureVar=LINEAR)
mdb.models['Model-1'].parts['Beam'].SectionAssignment(offset=0.0, offsetField=
    '', offsetType=MIDDLE_SURFACE, region=Region(
    edges=mdb.models['Model-1'].parts['Beam'].edges.findAt(((-51.59375, 0.0, 
    0.0), ), ((-49.96875, 0.0, 0.0), ), ((-48.34375, 0.0, 0.0), ), ((-46.71875, 
    0.0, 0.0), ), ((-45.09375, 0.0, 0.0), ), ((-43.46875, 0.0, 0.0), ), ((
    -41.84375, 0.0, 0.0), ), ((-40.21875, 0.0, 0.0), ), ((-38.59375, 0.0, 0.0), 
    ), ((-36.96875, 0.0, 0.0), ), ((-35.34375, 0.0, 0.0), ), ((-33.71875, 0.0, 
    0.0), ), ((-32.09375, 0.0, 0.0), ), ((-30.46875, 0.0, 0.0), ), ((-28.84375, 
    0.0, 0.0), ), ((-27.21875, 0.0, 0.0), ), ((-25.59375, 0.0, 0.0), ), ((
    -23.96875, 0.0, 0.0), ), ((-22.34375, 0.0, 0.0), ), ((-20.71875, 0.0, 0.0), 
    ), ((-19.09375, 0.0, 0.0), ), ((-17.46875, 0.0, 0.0), ), ((-15.84375, 0.0, 
    0.0), ), ((-14.21875, 0.0, 0.0), ), ((-12.59375, 0.0, 0.0), ), ((-10.96875, 
    0.0, 0.0), ), ((-9.34375, 0.0, 0.0), ), ((-7.71875, 0.0, 0.0), ), ((
    -6.09375, 0.0, 0.0), ), ((-4.46875, 0.0, 0.0), ), ((-2.84375, 0.0, 0.0), ), 
    ((-1.21875, 0.0, 0.0), ), ((0.40625, 0.0, 0.0), ), ((2.03125, 0.0, 0.0), ), 
    ((3.65625, 0.0, 0.0), ), ((5.28125, 0.0, 0.0), ), ((6.90625, 0.0, 0.0), ), 
    ((8.53125, 0.0, 0.0), ), ((10.15625, 0.0, 0.0), ), ((11.78125, 0.0, 0.0), 
    ), ((13.40625, 0.0, 0.0), ), ((15.03125, 0.0, 0.0), ), ((16.65625, 0.0, 
    0.0), ), ((18.28125, 0.0, 0.0), ), ((19.90625, 0.0, 0.0), ), ((21.53125, 
    0.0, 0.0), ), ((23.15625, 0.0, 0.0), ), ((24.78125, 0.0, 0.0), ), ((
    26.40625, 0.0, 0.0), ), ((28.03125, 0.0, 0.0), ), ((29.65625, 0.0, 0.0), ), 
    ((31.28125, 0.0, 0.0), ), ((32.90625, 0.0, 0.0), ), ((34.53125, 0.0, 0.0), 
    ), ((36.15625, 0.0, 0.0), ), ((37.78125, 0.0, 0.0), ), ((39.40625, 0.0, 
    0.0), ), ((41.03125, 0.0, 0.0), ), ((42.65625, 0.0, 0.0), ), ((44.28125, 
    0.0, 0.0), ), ((45.90625, 0.0, 0.0), ), ((47.53125, 0.0, 0.0), ), ((
    49.15625, 0.0, 0.0), ), ((50.78125, 0.0, 0.0), ), )), sectionName=
    'Beam-Section', thicknessAssignment=FROM_SECTION)
mdb.models['Model-1'].parts['Beam'].assignBeamSectionOrientation(method=
    N1_COSINES, n1=(0.0, 0.0, -1.0), region=Region(
    edges=mdb.models['Model-1'].parts['Beam'].edges.findAt(((-51.59375, 0.0, 
    0.0), ), ((-49.96875, 0.0, 0.0), ), ((-48.34375, 0.0, 0.0), ), ((-46.71875, 
    0.0, 0.0), ), ((-45.09375, 0.0, 0.0), ), ((-43.46875, 0.0, 0.0), ), ((
    -41.84375, 0.0, 0.0), ), ((-40.21875, 0.0, 0.0), ), ((-38.59375, 0.0, 0.0), 
    ), ((-36.96875, 0.0, 0.0), ), ((-35.34375, 0.0, 0.0), ), ((-33.71875, 0.0, 
    0.0), ), ((-32.09375, 0.0, 0.0), ), ((-30.46875, 0.0, 0.0), ), ((-28.84375, 
    0.0, 0.0), ), ((-27.21875, 0.0, 0.0), ), ((-25.59375, 0.0, 0.0), ), ((
    -23.96875, 0.0, 0.0), ), ((-22.34375, 0.0, 0.0), ), ((-20.71875, 0.0, 0.0), 
    ), ((-19.09375, 0.0, 0.0), ), ((-17.46875, 0.0, 0.0), ), ((-15.84375, 0.0, 
    0.0), ), ((-14.21875, 0.0, 0.0), ), ((-12.59375, 0.0, 0.0), ), ((-10.96875, 
    0.0, 0.0), ), ((-9.34375, 0.0, 0.0), ), ((-7.71875, 0.0, 0.0), ), ((
    -6.09375, 0.0, 0.0), ), ((-4.46875, 0.0, 0.0), ), ((-2.84375, 0.0, 0.0), ), 
    ((-1.21875, 0.0, 0.0), ), ((0.40625, 0.0, 0.0), ), ((2.03125, 0.0, 0.0), ), 
    ((3.65625, 0.0, 0.0), ), ((5.28125, 0.0, 0.0), ), ((6.90625, 0.0, 0.0), ), 
    ((8.53125, 0.0, 0.0), ), ((10.15625, 0.0, 0.0), ), ((11.78125, 0.0, 0.0), 
    ), ((13.40625, 0.0, 0.0), ), ((15.03125, 0.0, 0.0), ), ((16.65625, 0.0, 
    0.0), ), ((18.28125, 0.0, 0.0), ), ((19.90625, 0.0, 0.0), ), ((21.53125, 
    0.0, 0.0), ), ((23.15625, 0.0, 0.0), ), ((24.78125, 0.0, 0.0), ), ((
    26.40625, 0.0, 0.0), ), ((28.03125, 0.0, 0.0), ), ((29.65625, 0.0, 0.0), ), 
    ((31.28125, 0.0, 0.0), ), ((32.90625, 0.0, 0.0), ), ((34.53125, 0.0, 0.0), 
    ), ((36.15625, 0.0, 0.0), ), ((37.78125, 0.0, 0.0), ), ((39.40625, 0.0, 
    0.0), ), ((41.03125, 0.0, 0.0), ), ((42.65625, 0.0, 0.0), ), ((44.28125, 
    0.0, 0.0), ), ((45.90625, 0.0, 0.0), ), ((47.53125, 0.0, 0.0), ), ((
    49.15625, 0.0, 0.0), ), ((50.78125, 0.0, 0.0), ), )))

### MESH ###
mdb.models['Model-1'].parts['Beam'].setElementType(elemTypes=(ElemType(
    elemCode=B21, elemLibrary=STANDARD), ), regions=(
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-51.59375, 0.0, 0.0), ), 
    ((-49.96875, 0.0, 0.0), ), ((-48.34375, 0.0, 0.0), ), ((-46.71875, 0.0, 
    0.0), ), ((-45.09375, 0.0, 0.0), ), ((-43.46875, 0.0, 0.0), ), ((-41.84375, 
    0.0, 0.0), ), ((-40.21875, 0.0, 0.0), ), ((-38.59375, 0.0, 0.0), ), ((
    -36.96875, 0.0, 0.0), ), ((-35.34375, 0.0, 0.0), ), ((-33.71875, 0.0, 0.0), 
    ), ((-32.09375, 0.0, 0.0), ), ((-30.46875, 0.0, 0.0), ), ((-28.84375, 0.0, 
    0.0), ), ((-27.21875, 0.0, 0.0), ), ((-25.59375, 0.0, 0.0), ), ((-23.96875, 
    0.0, 0.0), ), ((-22.34375, 0.0, 0.0), ), ((-20.71875, 0.0, 0.0), ), ((
    -19.09375, 0.0, 0.0), ), ((-17.46875, 0.0, 0.0), ), ((-15.84375, 0.0, 0.0), 
    ), ((-14.21875, 0.0, 0.0), ), ((-12.59375, 0.0, 0.0), ), ((-10.96875, 0.0, 
    0.0), ), ((-9.34375, 0.0, 0.0), ), ((-7.71875, 0.0, 0.0), ), ((-6.09375, 
    0.0, 0.0), ), ((-4.46875, 0.0, 0.0), ), ((-2.84375, 0.0, 0.0), ), ((
    -1.21875, 0.0, 0.0), ), ((0.40625, 0.0, 0.0), ), ((2.03125, 0.0, 0.0), ), (
    (3.65625, 0.0, 0.0), ), ((5.28125, 0.0, 0.0), ), ((6.90625, 0.0, 0.0), ), (
    (8.53125, 0.0, 0.0), ), ((10.15625, 0.0, 0.0), ), ((11.78125, 0.0, 0.0), ), 
    ((13.40625, 0.0, 0.0), ), ((15.03125, 0.0, 0.0), ), ((16.65625, 0.0, 0.0), 
    ), ((18.28125, 0.0, 0.0), ), ((19.90625, 0.0, 0.0), ), ((21.53125, 0.0, 
    0.0), ), ((23.15625, 0.0, 0.0), ), ((24.78125, 0.0, 0.0), ), ((26.40625, 
    0.0, 0.0), ), ((28.03125, 0.0, 0.0), ), ((29.65625, 0.0, 0.0), ), ((
    31.28125, 0.0, 0.0), ), ((32.90625, 0.0, 0.0), ), ((34.53125, 0.0, 0.0), ), 
    ((36.15625, 0.0, 0.0), ), ((37.78125, 0.0, 0.0), ), ((39.40625, 0.0, 0.0), 
    ), ((41.03125, 0.0, 0.0), ), ((42.65625, 0.0, 0.0), ), ((44.28125, 0.0, 
    0.0), ), ((45.90625, 0.0, 0.0), ), ((47.53125, 0.0, 0.0), ), ((49.15625, 
    0.0, 0.0), ), ((50.78125, 0.0, 0.0), ), ), ))
mdb.models['Model-1'].parts['Beam'].seedEdgeByNumber(constraint=FIXED, edges=
    mdb.models['Model-1'].parts['Beam'].edges.findAt(((-51.59375, 0.0, 0.0), ), 
    ((-49.96875, 0.0, 0.0), ), ((-48.34375, 0.0, 0.0), ), ((-46.71875, 0.0, 
    0.0), ), ((-45.09375, 0.0, 0.0), ), ((-43.46875, 0.0, 0.0), ), ((-41.84375, 
    0.0, 0.0), ), ((-40.21875, 0.0, 0.0), ), ((-38.59375, 0.0, 0.0), ), ((
    -36.96875, 0.0, 0.0), ), ((-35.34375, 0.0, 0.0), ), ((-33.71875, 0.0, 0.0), 
    ), ((-32.09375, 0.0, 0.0), ), ((-30.46875, 0.0, 0.0), ), ((-28.84375, 0.0, 
    0.0), ), ((-27.21875, 0.0, 0.0), ), ((-25.59375, 0.0, 0.0), ), ((-23.96875, 
    0.0, 0.0), ), ((-22.34375, 0.0, 0.0), ), ((-20.71875, 0.0, 0.0), ), ((
    -19.09375, 0.0, 0.0), ), ((-17.46875, 0.0, 0.0), ), ((-15.84375, 0.0, 0.0), 
    ), ((-14.21875, 0.0, 0.0), ), ((-12.59375, 0.0, 0.0), ), ((-10.96875, 0.0, 
    0.0), ), ((-9.34375, 0.0, 0.0), ), ((-7.71875, 0.0, 0.0), ), ((-6.09375, 
    0.0, 0.0), ), ((-4.46875, 0.0, 0.0), ), ((-2.84375, 0.0, 0.0), ), ((
    -1.21875, 0.0, 0.0), ), ((0.40625, 0.0, 0.0), ), ((2.03125, 0.0, 0.0), ), (
    (3.65625, 0.0, 0.0), ), ((5.28125, 0.0, 0.0), ), ((6.90625, 0.0, 0.0), ), (
    (8.53125, 0.0, 0.0), ), ((10.15625, 0.0, 0.0), ), ((11.78125, 0.0, 0.0), ), 
    ((13.40625, 0.0, 0.0), ), ((15.03125, 0.0, 0.0), ), ((16.65625, 0.0, 0.0), 
    ), ((18.28125, 0.0, 0.0), ), ((19.90625, 0.0, 0.0), ), ((21.53125, 0.0, 
    0.0), ), ((23.15625, 0.0, 0.0), ), ((24.78125, 0.0, 0.0), ), ((26.40625, 
    0.0, 0.0), ), ((28.03125, 0.0, 0.0), ), ((29.65625, 0.0, 0.0), ), ((
    31.28125, 0.0, 0.0), ), ((32.90625, 0.0, 0.0), ), ((34.53125, 0.0, 0.0), ), 
    ((36.15625, 0.0, 0.0), ), ((37.78125, 0.0, 0.0), ), ((39.40625, 0.0, 0.0), 
    ), ((41.03125, 0.0, 0.0), ), ((42.65625, 0.0, 0.0), ), ((44.28125, 0.0, 
    0.0), ), ((45.90625, 0.0, 0.0), ), ((47.53125, 0.0, 0.0), ), ((49.15625, 
    0.0, 0.0), ), ((50.78125, 0.0, 0.0), ), ), number=1)
mdb.models['Model-1'].parts['Beam'].generateMesh()

### ASSEMBLY ###
mdb.models['Model-1'].rootAssembly.DatumCsysByDefault(CARTESIAN)
mdb.models['Model-1'].rootAssembly.Instance(dependent=ON, name='Beam-1', part=
    mdb.models['Model-1'].parts['Beam'])

### SETS ###
mdb.models['Model-1'].rootAssembly.Set(name='Node-All', nodes=
    mdb.models['Model-1'].rootAssembly.instances['Beam-1'].nodes[0:65])
mdb.models['Model-1'].rootAssembly.Set(name='Node-Bow', nodes=
    mdb.models['Model-1'].rootAssembly.instances['Beam-1'].nodes[64:65])
mdb.models['Model-1'].rootAssembly.Set(name='Node-Stern', nodes=
    mdb.models['Model-1'].rootAssembly.instances['Beam-1'].nodes[0:1])

### INERTIA & STIFFNESS ###
mdb.models['Model-1'].rootAssembly.engineeringFeatures.PointMassInertia(alpha=
    0.0, composite=0.0, mass=pmass, name='Mass', region=
    mdb.models['Model-1'].rootAssembly.sets['Node-All'])
mdb.models['Model-1'].rootAssembly.engineeringFeatures.SpringDashpotToGround(
    dashpotBehavior=OFF, dashpotCoefficient=0.0, dof=2, name='Stiffness-Heave', 
    orientation=None, region=
    mdb.models['Model-1'].rootAssembly.sets['Node-All'], springBehavior=ON, 
    springStiffness=hstiff)
mdb.models['Model-1'].rootAssembly.engineeringFeatures.SpringDashpotToGround(
    dashpotBehavior=OFF, dashpotCoefficient=0.0, dof=1, name='Stiffness-Surge', 
    orientation=None, region=
    mdb.models['Model-1'].rootAssembly.sets['Node-Stern'], springBehavior=ON, 
    springStiffness=sstiff)

### STEPS ###
mdb.models['Model-1'].FrequencyStep(acousticCoupling=AC_OFF, description=
    'Natural frequency extraction', maxEigen=maxfreq, minEigen=0.1, name=
    'Eigenmodes', previous='Initial')
mdb.models['Model-1'].ModalDynamicsStep(description='Modal superposition', 
    rayleighDamping=((1, 10, dampa, dampb), ), incSize=increment, name='Dynamics-Modal', previous=
    'Eigenmodes', timePeriod=tottime)

### OUTPUT REQUEST ###
mdb.models['Model-1'].fieldOutputRequests['F-Output-2'].setValues(frequency=1)

### LOAD ###
mdb.models['Model-1'].TabularAmplitude(data=((0.0, 0.0), (0.625, 0.8), (1.25, 
    0)), name='Triangle', smooth=SOLVER_DEFAULT, timeSpan=STEP)
mdb.models['Model-1'].ConcentratedForce(amplitude='Triangle', cf1=fsurge, 
    cf2=fheave, createStepName='Dynamics-Modal', distributionType=UNIFORM, field=
    '', localCsys=None, name='Load Pulse', region=
    mdb.models['Model-1'].rootAssembly.sets['Node-Bow'])

### ANALYSIS ###
mdb.Job(atTime=None, contactPrint=OFF, description='', echoPrint=OFF, 
    explicitPrecision=SINGLE, getMemoryFromAnalysis=True, historyPrint=OFF, 
    memory=90, memoryUnits=PERCENTAGE, model='Model-1', modelPrint=OFF, 
    multiprocessingMode=DEFAULT, name='Analysis', nodalOutputPrecision=SINGLE, 
    numCpus=1, queue=None, scratch='', type=ANALYSIS, userSubroutine='', 
    waitHours=0, waitMinutes=0)
mdb.jobs['Analysis'].submit(consistencyChecking=OFF)
mdb.jobs['Analysis'].waitForCompletion()

########## OUTPUT ##########

### MODULES ###
from abaqus import *
from abaqusConstants import *
from caeModules import *
from driverUtils import executeOnCaeStartup

### VIEWPORT ###
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=166.857147216797, 
    height=150.857147216797)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
executeOnCaeStartup()
session.viewports['Viewport: 1'].partDisplay.geometryOptions.setValues(
    referenceRepresentation=ON)

### ODB ###
o1 = session.openOdb(name='Analysis.odb')
session.viewports['Viewport: 1'].setValues(displayedObject=o1)

odbName=session.viewports[session.currentViewportName].odbDisplay.name
session.odbData[odbName].setValues(activeFrames=(('Dynamics-Modal', ('0:-1', )), ))

### REQUEST OUTPUT ###
odb = session.odbs['Analysis.odb']
session.XYDataFromHistory(name='Eigenfrequency', odb=odb, 
    outputVariableName='Eigenfrequency: EIGFREQ for Whole Model', steps=(
    'Eigenmodes', ), )
session.xyDataListFromField(odb=odb, outputPosition=NODAL, variable=(('CF', 
    NODAL), ('U', NODAL, ((COMPONENT, 'U2'), )), ), nodeSets=('NODE-BOW', ))
session.xyDataObjects.changeKey(fromName='CF:CF1 PI: BEAM-1 N: 65', 
    toName='Force-Surge')
session.xyDataObjects.changeKey(fromName='CF:CF2 PI: BEAM-1 N: 65', 
    toName='Force-Heave')
session.xyDataObjects.changeKey(fromName='CF:Magnitude PI: BEAM-1 N: 65', 
    toName='Force-Total')
session.xyDataObjects.changeKey(fromName='U:U2 PI: BEAM-1 N: 65', 
    toName='Disp-Heave')

### REPORT ###
x0 = session.xyDataObjects['Disp-Heave']
x1 = session.xyDataObjects['Force-Heave']
x2 = session.xyDataObjects['Force-Surge']
x3 = session.xyDataObjects['Force-Total']
session.xyReportOptions.setValues(numDigits=5)
session.writeXYReport(fileName='Output.rpt', xyData=(x0, x1, x2, x3))

y0 = session.xyDataObjects['Eigenfrequency']
session.writeXYReport(fileName='Eigenfreq.rpt', xyData=(y0, ))