% Function to generate a plot of eigenfrequencies and eigenperiods based
% on reading output file from Abaqus CAE.
% NB! Function readoutput.m is needed!!!
% Specify:
%           directory - directory where output file is located
%           filename  - name of output file containing eigenvalues
%           script    - name of Python-script that generated output file
%
% Author: rjan Fredriksen
% Created: 14.03.2012 - Modified: 03.05.2012

function eigenplot(directory,filename,script)

eigen = readoutput(2,directory,filename);
eigen = [eigen 2*pi*eigen(:,2) 1./eigen(:,2)];

figure(3)
[axhandle grhandle1 grhandle2] = plotyy(eigen(:,1),eigen(:,4),eigen(:,1),eigen(:,3));
title(['Graphical representation of Eigenvalues. Abaqus Analysis: ' script '.py'])
xlabel('Mode number')
set(grhandle1,'LineStyle','o','LineStyle','-');
set(grhandle2,'LineStyle','o','LineStyle','-');
set(get(axhandle(1),'Ylabel'),'String','Natural period [s]')
set(get(axhandle(2),'Ylabel'),'String','Natural frequency [rad/s]')
end