% Function to generate a string that will make a plot if executed using
% the MATLAB function eval(plotstring).
% Specify:
%           ncases  - number of different cases to be plotted
%           plotvar - the variable to be plotted
%           string  - corresponds to the name of the matrix containing data
%
% Author: rjan Fredriksen
% Created: 14.02.2012 - Modified: 13.03.2012

function plotstring = getplotstring(ncases,plotvar,string)

plotstring = 'plot(';
for i = 1:ncases-1
    plotstring = [plotstring string '(:,1,' num2str(i) '),' string '(:,' num2str(plotvar) ',' num2str(i) '),']; %#ok<AGROW>
end
plotstring = [plotstring string '(:,1,' num2str(ncases) '),' string '(:,' num2str(plotvar) ',' num2str(ncases) '))'];
end