% Function to scale time series generated by Abaqus CAE. The time series
% is scaled by division of the maximum value at every time step.
% Specify:
%           unscaled - the unscaled time series
%           scalevar - the variable to be scaled
%
% Author: rjan Fredriksen
% Created: 21.02.2012 - Modified: 13.03.2012

function scaled = scaleoutput(unscaled,scalevar)

maxval = max(abs(unscaled(:,scalevar)));
scaled = unscaled(:,scalevar)./maxval;
end